Freeciv-3.1: option Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Data Fields
option Struct Reference

## Data Structures

struct | option_common_vtable

## Data Fields

const struct option_set * | poptset
enum option_type | type
const struct option::option_common_vtable * | common_vtable
union { |
struct option_bool_vtable { |
bool(* get )(const struct option *) |
bool(* def )(const struct option *) |
bool(* set )(struct option *, bool) |
} bool_vtable |
struct option_int_vtable { |
int(* get )(const struct option *) |
int(* def )(const struct option *) |
int(* minimum )(const struct option *) |
int(* maximum )(const struct option *) |
bool(* set )(struct option *, int) |
} int_vtable |
struct option_str_vtable { |
const char *(* get )(const struct option *) |
const char *(* def )(const struct option *) |
const struct strvec *(* values )(const struct option *) |
bool(* set )(struct option *, const char *) |
} str_vtable |
struct option_enum_vtable { |
int(* get )(const struct option *) |
int(* def )(const struct option *) |
const struct strvec *(* values )(const struct option *) |
bool(* set )(struct option *, int) |
int(* cmp )(const char *, const char *) |
} enum_vtable |
struct option_bitwise_vtable { |
unsigned(* get )(const struct option *) |
unsigned(* def )(const struct option *) |
const struct strvec *(* values )(const struct option *) |
bool(* set )(struct option *, unsigned) |
} bitwise_vtable |
struct option_font_vtable { |
const char *(* get )(const struct option *) |
const char *(* def )(const struct option *) |
const char *(* target )(const struct option *) |
bool(* set )(struct option *, const char *) |
} font_vtable |
struct option_color_vtable { |
struct ft_color(* get )(const struct option *) |
struct ft_color(* def )(const struct option *) |
bool(* set )(struct option *, struct ft_color) |
} color_vtable |
struct option_video_mode_vtable { |
struct video_mode(* get )(const struct option *) |
struct video_mode(* def )(const struct option *) |
bool(* set )(struct option *, struct video_mode) |
} video_mode_vtable |
}; |  |
void(* | changed_callback )(struct option *option)
int | callback_data
void * | gui_data

## Detailed Description

Definition at line 454 of file options.c.

## Field Documentation

## ◆ [union]

union { ... } option

## ◆ [struct]

const struct { ... } ::option_bitwise_vtable * option::bitwise_vtable

Referenced by option_bitwise_def(), option_bitwise_get(), option_bitwise_mask(), option_bitwise_set(), and option_bitwise_values().

## ◆ [struct]

const struct { ... } ::option_bool_vtable * option::bool_vtable

Referenced by handle_server_setting_bool(), option_bool_def(), option_bool_get(), and option_bool_set().

## ◆ callback_data

int option::callback_data

Definition at line 532 of file options.c.

Referenced by option_get_cb_data().

## ◆ changed_callback

void(* option::changed_callback) (struct option *option)

Definition at line 530 of file options.c.

Referenced by option_changed(), and option_set_changed_callback().

## ◆ cmp

int(* option::cmp) (const char *, const char *)

Definition at line 499 of file options.c.

## ◆ [struct]

const struct { ... } ::option_color_vtable * option::color_vtable

Referenced by option_color_def(), option_color_get(), and option_color_set().

## ◆ common_vtable

const struct option::option_common_vtable * option::common_vtable

Referenced by handle_server_setting_bool(), option_category(), option_category_name(), option_description(), option_help_text(), option_is_changeable(), option_name(), option_next(), and option_number().

## ◆ def [1/6]

bool(* option::def) (const struct option *)

Definition at line 475 of file options.c.

## ◆ def [2/6]

int(* option::def) (const struct option *)

Definition at line 481 of file options.c.

## ◆ def [3/6]

const char *(* option::def) (const struct option *)

Definition at line 489 of file options.c.

## ◆ def [4/6]

unsigned(* option::def) (const struct option *)

Definition at line 504 of file options.c.

## ◆ def [5/6]

struct ft_color(* option::def) (const struct option *)

Definition at line 513 of file options.c.

## ◆ def [6/6]

struct video_mode(* option::def) (const struct option *)

Definition at line 519 of file options.c.

## ◆ [struct]

const struct { ... } ::option_enum_vtable * option::enum_vtable

Referenced by option_enum_def_int(), option_enum_def_str(), option_enum_get_int(), option_enum_get_str(), option_enum_int_to_str(), option_enum_set_int(), option_enum_set_str(), option_enum_str_to_int(), and option_enum_values().

## ◆ [struct]

const struct { ... } ::option_font_vtable * option::font_vtable

Referenced by option_font_def(), option_font_get(), option_font_set(), and option_font_target().

## ◆ get [1/6]

bool(* option::get) (const struct option *)

Definition at line 474 of file options.c.

## ◆ get [2/6]

int(* option::get) (const struct option *)

Definition at line 480 of file options.c.

## ◆ get [3/6]

const char *(* option::get) (const struct option *)

Definition at line 488 of file options.c.

## ◆ get [4/6]

unsigned(* option::get) (const struct option *)

Definition at line 503 of file options.c.

## ◆ get [5/6]

struct ft_color(* option::get) (const struct option *)

Definition at line 513 of file options.c.

## ◆ get [6/6]

struct video_mode(* option::get) (const struct option *)

Definition at line 519 of file options.c.

## ◆ gui_data

void* option::gui_data

Definition at line 535 of file options.c.

Referenced by option_get_gui_data(), and option_set_gui_data().

## ◆ [struct]

const struct { ... } ::option_int_vtable * option::int_vtable

Referenced by option_int_def(), option_int_get(), option_int_max(), option_int_min(), and option_int_set().

## ◆ maximum

int(* option::maximum) (const struct option *)

Definition at line 483 of file options.c.

## ◆ minimum

int(* option::minimum) (const struct option *)

Definition at line 482 of file options.c.

## ◆ poptset

const struct option_set* option::poptset

Definition at line 456 of file options.c.

Referenced by handle_server_setting_bool(), option_category_name(), option_optset(), optset_category_name(), optset_category_number(), optset_option_by_name(), optset_option_by_number(), and optset_option_first().

## ◆ set

bool(* option::set) (struct option *, struct video_mode)

Definition at line 476 of file options.c.

## ◆ [struct]

const struct { ... } ::option_str_vtable * option::str_vtable

Referenced by option_str_def(), option_str_get(), option_str_set(), and option_str_values().

## ◆ target

const char *(* option::target) (const struct option *)

Definition at line 512 of file options.c.

## ◆ type

enum option_type option::type

Definition at line 458 of file options.c.

Referenced by handle_server_setting_bool(), option_bitwise_def(), option_bitwise_get(), option_bitwise_mask(), option_bitwise_set(), option_bitwise_values(), option_bool_def(), option_bool_get(), option_bool_set(), option_color_def(), option_color_get(), option_color_set(), option_enum_def_int(), option_enum_def_str(), option_enum_get_int(), option_enum_get_str(), option_enum_int_to_str(), option_enum_set_int(), option_enum_set_str(), option_enum_str_to_int(), option_enum_values(), option_font_def(), option_font_get(), option_font_set(), option_font_target(), option_int_def(), option_int_get(), option_int_max(), option_int_min(), option_int_set(), option_str_def(), option_str_get(), option_str_set(), option_str_values(), option_type(), option_video_mode_def(), option_video_mode_get(), option_video_mode_set(), and server_option_free().

## ◆ values

const struct strvec *(* option::values) (const struct option *)

Definition at line 489 of file options.c.

## ◆ [struct]

const struct { ... } ::option_video_mode_vtable * option::video_mode_vtable

Referenced by option_video_mode_def(), option_video_mode_get(), and option_video_mode_set().